# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------
from setuphelpers import *

# registry key(s) where WAPT will find how to remove the application(s)
uninstallkey = []

# command(s) to launch to remove the application(s)
uninstallstring = []

# list of required parameters names (string) which can be used during install
required_params = []


def install():
    # if you want to modify the keys depending on environment (win32/win64... params..)
    global uninstallkey
    global uninstallstring

    print('installing tis-rssowl')
    run(r'"RSSOwl Setup 2.2.1.exe" /S')

def uninstall():
    killalltasks("RSSOwl Setup 2.2.1.exe")
    run(u'"%s" /S' % os.path.join(programfiles32,'RSSOwl','Uninstall.exe'))
    menu_dir = os.path.join(start_menu(common=1),'Programs','RSSOwl')
    if isdir(menu_dir):
        remove_tree(menu_dir)

def update_package():
    wget('http://srvtemplates.ad.tranquil.it/binary_cache/RSSOwl Setup 2.2.1.exe', "RSSOwl Setup 2.2.1.exe", sha256="D314CCBAB9376D52B160E7DA7C1CB77740F22994DEDFC4E72BFB02E2C5DA1554")